- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::SpamProcessor Class Reference

A Processor class that passes the body of a message file to a remote process over the network and stores the response back into the file. More...

`#include <gspamprocessor.h>`

Inheritance diagram for GSmtp::SpamProcessor:

## Public Member Functions
| SpamProcessor (const std::string &, unsigned int connection_timeout, unsigned int response_timeout)
| Constructor. More...
virtual | ~SpamProcessor ()
| Destructor. More...
virtual G::Signal1< bool > & | doneSignal ()
| Final override from GSmtp::Processor. More...
virtual void | start (const std::string &path)
| Final override from GSmtp::Processor. More...
virtual void | abort ()
| Final override from GSmtp::Processor. More...
virtual std::string | text () const
| Final override from GSmtp::Processor. More...
virtual bool | cancelled () const
| Final override from GSmtp::Processor. More...
virtual bool | repoll () const
| Final override from GSmtp::Processor. More...
Public Member Functions inherited from GSmtp::Processor
virtual | ~Processor ()
| Destructor. More...

## Detailed Description

A Processor class that passes the body of a message file to a remote process over the network and stores the response back into the file.

It looks for a spam header line in the resulting file to determine the overall result.

Definition at line 43 of file gspamprocessor.h.

## Constructor & Destructor Documentation

GSmtp::SpamProcessor::SpamProcessor | ( | const std::string & | server,
|  | unsigned int | connection_timeout,
|  | unsigned int | response_timeout
| ) |  |

Constructor.

Definition at line 26 of file gspamprocessor.cpp.

References G::slot().

GSmtp::SpamProcessor::~SpamProcessor | ( |  | ) |
| virtual

Destructor.

Definition at line 35 of file gspamprocessor.cpp.

## Member Function Documentation

void GSmtp::SpamProcessor::abort | ( |  | ) |
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 78 of file gspamprocessor.cpp.

bool GSmtp::SpamProcessor::cancelled | ( |  | ) | const
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 58 of file gspamprocessor.cpp.

G::Signal1< bool > & GSmtp::SpamProcessor::doneSignal | ( |  | ) |
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 73 of file gspamprocessor.cpp.

bool GSmtp::SpamProcessor::repoll | ( |  | ) | const
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 63 of file gspamprocessor.cpp.

void GSmtp::SpamProcessor::start | ( | const std::string & | path | ) |
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 40 of file gspamprocessor.cpp.

std::string GSmtp::SpamProcessor::text | ( |  | ) | const
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 68 of file gspamprocessor.cpp.

The documentation for this class was generated from the following files:

- gspamprocessor.h
- gspamprocessor.cpp